<?xml version="1.0" encoding="UTF-8"?>
<WebLink xmlns="http://soap.sforce.com/2006/04/metadata">
    <fullName>Amdocs_Activate</fullName>
    <availability>online</availability>
    <displayType>button</displayType>
    <linkType>javascript</linkType>
    <masterLabel>Activate! / Update!</masterLabel>
    <openType>onClickJavaScript</openType>
    <protected>false</protected>
    <url>{!REQUIRESCRIPT(&quot;/soap/ajax/13.0/connection.js&quot;)}

var oppObj = new sforce.SObject(&quot;Opportunity&quot;);
oppObj.Id = &apos;{!Opportunity.Id}&apos;;

if(&apos;{!Opportunity.Amdocs_CustomerID__c}&apos; == &quot;&quot; 
&amp;&amp; &apos;{!Opportunity.AmDocs_SiteID__c}&apos; == &quot;&quot; 
&amp;&amp; &apos;{!Opportunity.AmDocs_ServiceID__c}&apos; == &quot;&quot; )
{
oppObj.AmDocs_CreateCustomer__c = true;
var result = sforce.connection.update([oppObj]); 
}

else
if(&apos;{!Opportunity.Amdocs_CustomerID__c}&apos; != &quot;&quot; 
&amp;&amp; &apos;{!Opportunity.AmDocs_SiteID__c}&apos; == &quot;&quot;
&amp;&amp; &apos;{!Opportunity.AmDocs_ServiceID__c}&apos; == &quot;&quot; )
{
oppObj.AmDocs_CreateSite__c = true;
var result = sforce.connection.update([oppObj]); 
}

else
if(&apos;{!Opportunity.Amdocs_CustomerID__c}&apos; != &quot;&quot; 
&amp;&amp; &apos;{!Opportunity.AmDocs_SiteID__c}&apos; != &quot;&quot;
&amp;&amp; &apos;{!Opportunity.AmDocs_ServiceID__c}&apos; == &quot;&quot; )
{
oppObj.AmDocs_CreateBulk__c = true;
var result = sforce.connection.update([oppObj]); 
}

else
if(&apos;{!Opportunity.Amdocs_CustomerID__c}&apos; != &quot;&quot; 
&amp;&amp; &apos;{!Opportunity.AmDocs_SiteID__c}&apos; != &quot;&quot;
&amp;&amp; &apos;{!Opportunity.AmDocs_ServiceID__c}&apos; != &quot;&quot; )
{
oppObj.AmDocs_BulkUpdateAll__c = true;
var result = sforce.connection.update([oppObj]); 
}

alert(result );</url>
</WebLink>
